Overview

What is HydraScript?
Welcome to HydraScript 1.2, HydraScript is an advanced Script Builder and HTML Editor. With the most important features of a HTML Editor, the most common script functions, all wrapped together in a neat and great looking interface makes HydraScript the perfect tool for Script and Web Site developers.
The HydraScript Editor
The HydraScript editor is a fast and quick loading editor with powerful functions to speed up the work.

Open a new Document From the 'File' menu, select 'New...' or pess <CTRL> + <N>

Bookmarks
Bookmarks let's you easily mark certain places in your document, being able to quickly jump from one place to another whitin your document, really speeds up the editing process.

Syntax Highlighting
Changing the color of tags helps you separate information from tons of HTML and Script functions and commands. It is particularly useful when you are viewing an HTML file created by someone else.
HydraScript has three different ways to highlight your code. Every single way is optimized for respective scripting language (e.g.. JavaScript). Optimized Highlighting
1. JavaScript
2. VB Script
3. HTML

Example HTML code
<IMG SRC="c:\my web site\banner01.gif" border="0"height="60"width="480">
Using the Internal Browser
To make it easier to preview your work, HydraScript comes with an integrated Browser. This Browser however needs Microsoft Internet Explorer 3.x to be installed on your system. Since Internet Explorer is used as the Internal Browser, you will be able to preview files containing, JavaScript, Java Applets etc.

To quickly toggle between the Editor and the Browser, Press <F9>.

Setting the Browser size
For a professional Web designer, one of the key limitations of the Web page design is how it looks under different screen sizes. HydraScript's Internal Browser allows you to emulate the two most common screen sizes: 640x480 and 800x600.

Surfing from inside HydraScript
HydraScript allows you to easily surf the Web from inside the program Simple switch to Browser mode and type a URL into the URL drop down box.

Using the Script Panel
The Script Panel allows the user to quickly access favorite scripts.
Adding and Removing Scripts
To add a custom script to the Script Panel, simply click the 'Add Script' button, in the Add Custom Script Dialog enter Name, Script Type, Filename and a description for your personal reference.
Add Script
Remove Script


 Coldmind HydraScript Version 1 License Agreement

NO WARRANTY
HYDRASCRIPT  IS SOLD "AS IS" AND WITHOUT ANY WARRANTY AS TO
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OR ANY
OTHER WARRANTIES EITHER EXPRESSED OR IMPLIED. THE AUTHOR
WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR
ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

License
HydraScript is free software. This License grants you to use
this software free of charge for as long as you wish.

You may not use, copy, rent, lease, sell, modify, decompile,
disassemble, otherwise reverse engineer, or transfer the
licensed program except as provided in this agreement.
Any such unauthorized use shall result in immediate and
automatic termination of this license. All rights not
expressly granted here are reserved to Coldmind Software.

Distribution
You may copy the original version of this software and
documentation as you wish, and give exact copies of the
original version to anyone, and distribute the original
version of the software and documentation in its unmodified
form via electronic means. You are not allowed to charge
or request donations for any such copies however made and
from distributing the software and/or documentation with other
products without the author's written permission.


 Find Help
If you rest the mouse pointer a few seconds over a menu item or a toolbar button you will be given a hint about it. This hint is displayed in the status field.

For more information about a certain button or menu item please please consult the Help file ('Contents' -> 'Menus' ) or contact customer support which may be reached at the Coldmind Software Web Site:

http://www.coldmind.com


 Edit a File
When you start the program, most buttons and menu items are unavailable, and will remain so until HydraScript contain at least one open file. You can either open an existing file or create a new. All new documents will contain the standard HTML tags and will be named Untitled by default.

The Multi Document Interface allows you to work with several files open at the same time. To activate an open window you may either click on it, click it´s parent tab or browse your way to it using the next/previous commands. You may minimize, maximize and close each window individually, but there are also commands that effects all open windows: the Close All command, the Tile command, the Minimize All command and the Cascade command. You can also Arrange all minimized window icons with the Arrange Icons command.

The window statusbar
The current cursor position is shown in the first panel of the statusbar. (rows:cols). Next field says 'Modified' if the document has been changed but not saved, and the last field tells you the file's location.

If you wish to mark a certain line to stick out from the surrounding code, simply click the gutter next to the desired line (eg. to mark the start of a script block).

To preview your work, use the Toggle Edit/Preview command.

You can set a line as a bookmark. You can have up to 10 lines marked (0-9) and later, use the find bookmark command to go back to that line.

The first time you save a file, the Save As dialog box. will be launched. Later while saving that file it will be saved as the current name to it's current location. If you want to change name or location for a file you can choose Save As from the file menu. You may also save a selected text block to a desired filename with theSave Selection command.


 Preview your work
To preview your work, simply click the browser parent tab or use the Toggle Edit/Preview command to quickly toggle between the Editor and the Browser.

To make it easier to preview your work, HydraScript comes with an integrated Browser.
This Browser however needs Microsoft Internet Explorer 3.x to be installed on your system. Since Internet Explorer is used as the Internal Browser, you will be able to preview files containing, JavaScript, Java Applets etc.

Description of buttons
Open in browser: opens a file in the Internal Browser. The 'step back' and 'step forward' buttons browses thru the browser history. The 'Stop' button aborts all Browser activity.

For a professional Web designer, one of the key limitations of the Web page design is how it looks under different screen sizes. HydraScript's Internal Browser allows you to emulate the two most common screen sizes: 640x480 and 800x600.

HydraScript allows you to easily surf the Web from inside the program Simple switch to Browser mode and type a URL into the URL drop down box.


 Insert a Form
To create a simple form, the first thing to do is to insert the Form Item tags. All form elements must be declared inside the
<FORM>...</FORM> tags to work properly.

Example:
<FORM NAME="Example" METHOD="Post">

</FORM>

Next step is to create an element. The most used element is the Text Box element, which allows the user to write a single line of words. We put a Text Box inside the form item tags. You can of course put as many elements as you wish in a form. In this Textbox, however, the user can write his full name.

<FORM NAME="Example" METHOD="Post">

<INPUT
TYPE="text"
NAME="Email"
VALUE="Type
your Email here"
SIZE="30"
MAXLENGTH="30">

</FORM>

At last we need a trigger for our creation. That's the Submit button's task. When the user have filled in all fields in the form, he sends it by clicking the Submit button. A Reset button clears all values in the form. We add a Submit button and a Reset button and the form is done.

<FORM NAME="Example" METHOD="Post">

<INPUT
TYPE="text"
NAME="Email" VALUE="Type
your Email here" SIZE="30"
MAXLENGTH="30">

<INPUT
TYPE="submit"
NAME="Submit"
VALUE="Submit">
<INPUT TYPE="reset"
VALUE="Reset">

</FORM>

Result:


 New
Creates a new file and removes the current.
To create a New File, do one of the following:
  • Choose 'New...' from the 'File' menu.
  • Click the New button on the Main toolbar.
  • Press <Ctrl> + <N>


 Open
Opens an existing File. Allows you to browse your directories for a file. To Open a file, do one of the following:
  • Choose 'Open...' from the 'File' menu.
  • Click the Open button on the Main toolbar.
  • Press <Ctrl> + <O>


 Save
Saves the changes to the active file.
To Save a file, do one of the following:
  • Select 'Save' from the 'File' menu.
  • Click on the Save button on the Main Toolbar.
  • Press <Ctrl> + <S>.
If you are saving a new file, HydraScript opens the Save As dialog box.


Save As
To save a file to a user specified name and directory, do as following.

  1. Choose 'Save As...' from the 'File' menu .
  2. Choose a name for the file and type it on the file name field.
  3. Click on the Save Button.


Save Selection
Saves the selected text to a user specified file. To use the Save Selection command, choose 'Save Selection' from the 'File' menu.


 Save All
Saves all open files.
To Save all files, do one of the following:
  • Select 'Save' from the 'File' menu.
  • Click on the Save button on the Main Toolbar.
  • Press <Ctrl> + <S>.


 Close
Closes the current window.
To use the Close command, do one of the following:
  • Choose 'Close' from the 'File' menu.
  • Press <Ctrl> + <W>.


 Close All
Closes all open windows. To use the Close All command, choose 'Close All' from the 'File' menu.


 Print
The Print command prints the active file. To modify the printer and paper settings, use the Printer Setup. To use the Print command, do one of the following:
  • Choose 'Print' from the 'File' menu.
  • Click the Print button on the Main toolbar.
  • Press <Ctrl> + <P>.


 Printer Setup
The Printer Setup determines the paper source and the file's placement on the page.
To use the Printer Setup, choose 'Printer Setup' from the 'File' menu.


 Exit
To Exit HydraScript choose 'Exit' from the 'File' Menu.

--But hey why would you ever wanna do that?


 Undo
The Undo command reverses the last modificarion made to the active file. To use the Undo command, do one of the following:
  • Choose 'Undo' from the 'Edit' menu.
  • Click the Undo button on the Main toolbar.
  • Press <Ctrl> + <Z>.


 Redo
The Redo command reverses the Undo command
To use the Redo command, do one of the following:
  • Choose 'Redo' from the 'Edit' menu.
  • Click the Redo button on the Main toolbar.
  • Press <Shift> + <Ctrl> + <Z>.


 Cut
The Cut command removes the selection from the file and sends it to the Windows Clipboard. The Cut command is only available when the active file contains a selection. To use the Cut command, do one of the following:
  • Choose 'Cut' from the 'Edit' menu.
  • Click the Cut button on the Main toolbar.
  • Press <Ctrl> + <X>.


Copy
The Copy command sends the selection to the Windows Clipboard.
The Copy command is only available when the active file contains a selection. To use the Copy command, do one of the following:

  • Choose 'Copy' from the 'Edit' menu.
  • Click the Copy button on the Main toolbar.
  • Press <Ctrl> + <C>.


Paste
The Paste command places a copy of the Windows Clipboard contents into the active file. To use the Paste command, do one of the following:

  • Choose 'Paste' from the 'Edit' menu.
  • Click the Paste button on the Main toolbar.
  • Press <Ctrl> + <V>.


 Delete
The Delete command deletes the contents of a selection.
To use the Delete command, do one of the following:
  • Choose 'Delete' from the 'Edit' menu.
  • Press <Shift> <Del>.


 Select All
The Select All command selects the entire contents of the active file.
To use the Select All command, do one of the following:
  • Choose 'Select All' from the 'Edit' menu.
  • Press <Ctrl> + <A>.


 Find
The Find command is used to find specific characters or words in the contents of the file. In the Find Dialog Box, do as following:
  1. In the 'Find what' field, type the characters or words you want to find.
  2. Click the Find Next button.
To use the Find command, you can:
  • Choose 'Find' from the 'Edit' menu.
  • Click the Find button on the Main toolbar.
  • Press <Ctrl> + <F>.


 Find Next
Searches for characters or words already typed in the 'Find What' field in the Find file dialog. To use the Find Next command, you can:
  • Choose 'Find Next' from the 'Edit' menu.
  • Press F3


 Replace
Finds and replaces specific characters or words in the contents of the file. In the Replace dialog box, do as following:
  1. In 'Find what', type the characters or words you want to replace.
  2. In 'Replace with', type the characters or words you want to replace them with.
  3. Click the Replace button.
To use the Replace command, you can:
  • Choose 'Replace' from the 'Edit' menu.
  • Click the Replace button on the Main toolbar.
  • Press <Ctrl> + <R>.


 Set Bookmark
Marks the current line as a bookmark (0-9). To use the Set Bookmark command, choose 'Set Bookmark' from the 'Edit' menu.


Find Bookmark
Takes you back to the line you marked as the chosen bookmark.
To use the Set Bookmark command, choose 'Find Bookmark' from the 'Edit' menu.


 Properties
Allows you to decide several properties such as Key Assignments, Highlighting color and much more, by your own. To set your own properties, choose 'Properties' from the 'Edit' menu.


Toolbars
Main Toolbar: Shows or hides the Main Toolbar.
Script Toolbar: Shows or hides the Script Toolbar.
HTML Toolbar: Shows or hides the HTML Toolbar.
ASP Toolbar: Shows or hides the ASP Toolbar.
Statusbar: Shows or hides the Statusbar.
Script Panel: Shows or hides the Script Panel

To show or hide a toolbar, choose desired Toolbar from the 'View' menu.


 Toggle Edit/Preview
Switches between the Editor and the Browser. In the Editor you write the actual code, the browser allows you to quickly preview your work.

To use the 'Toggle Edit/Preview' function, do one of the following:
  • Choose 'Toggle Edit/Preview' from the 'View' menu.
  • Click the Toggle Edit/Preview button on the Main Toolbar.
  • Press F9.


 Quick Color
Quick Color allows you to pick colors from the Windows color palette. To use the Quick Color, select 'Quick Color' from the 'HTML' menu.


B, HTML Definition

 Bold
The Bold tags specifies that the text should be rendered in boldface. To make a text Bold, do as following
  1. Select the text you want to change.
  2. Do one of the following
  • Choose 'Bold' on the 'HTML' menu
  • Click the Bold Button on the HTML toolbar.
  • Press <Ctrl> + <B>

Syntax:

<B>Hello World</B>

Example:

Hello World


 Italic
The Italic tags specifies that the text should be rendered in Italic font. To make a text Italic, do as following
  1. Select the text you want to change.
  2. Do one of the following
  • Choose 'Italic' on the 'HTML' menu
  • Click the Italic Button on the HTML toolbar.
  • Press <Ctrl> + <I>

Syntax:

<I>Hello World</I>

Example:

Hello World


 Underline
The Underline tags state that the text are going to be rendered, underlined. To make a text Underlined, do as following
  1. Select the text you want to change.
  2. Do one of the following
  • Choose 'Underline' on the 'HTML' menu
  • Click the Underline Button on the HTML toolbar.
  • Press <Ctrl> + <U>

Syntax:

<U>Hello World</U>

Example:

Hello World


 Heading 1
The H1 container element specifies text to be used as a header (font changes, paragraph breaks before and after...). The H1 header is the most prominent. To use the H1 tag, do one of the following:
  • Choose 'Headings' -> 'Heading 1' from the 'HTML' menu.
  • Click the Headings button on the HTML toolbar, then choose Heading 1.

Syntax:

<H1>Hello World</H1>

Example:

Hello World


 Heading 2
The H2 container element specifies text to be used as a header (font changes, paragraph breaks before and after...). The H2 header is more prominent than H3, but less prominent than H1. To use the H2 tag, do one of the following:
  • Choose 'Headings' -> 'Heading 2' from the 'HTML' menu.
  • Click the Headings button on the HTML toolbar, then choose Heading 2.

Syntax:

<H2>Hello World</H2>

Example:

Hello World


 Heading 3
The H3 container element specifies text to be used as a header (font changes, paragraph breaks before and after...). The H3 header is more prominent than H4, but less prominent than H2. To use the H3 tag, do one of the following:
  • Choose Headings -> Heading 3 from the HTML menu.
  • Click the Headings button on the HTML toolbar, then choose Heading 3.

Syntax:

<H3>Hello World</H3>

Example:

Hello World


 Heading 4
The H4 container element specifies text to be used as a header (font changes, paragraph breaks before and after...). The H4 header is more prominent than H5, but less prominent than H3. To use the H4 tag, do one of the following:
  • Choose Headings -> Heading 4 from the HTML menu.
  • Click the Headings button on the HTML toolbar, then choose Heading 4.

Syntax:

<H4>Hello World</H4>

Example:

Hello World


 Heading 5
The H5 container element specifies text to be used as a header (font changes, paragraph breaks before and after...). The H5 header is more prominent than H6, but less prominent than H4.
To use the H5 tag, do one of the following:
  • Choose Headings -> Heading 5 from the HTML menu.
  • Click the Headings button on the HTML toolbar, then choose Heading 5.

Syntax:

<H5>Hello World</H5>

Example:

Hello World


 Heading 6
The H6 container element specifies text to be used as a header (font changes, paragraph breaks before and after...). The H6 header is the least prominent.
To use the H6 tag, do one of the following:
  • Choose Headings -> Heading 6 from the HTML menu.
  • Click the Headings button on the HTML toolbar, then choose Heading 6.

Syntax:

<H6>Hello World </H6>

Example:

Hello World


 Center
The Center tag denotes that the selected text should be horizontally centered. font> To centre a text, do as following
  1. Select the text you want to change.
  2. Do one of the following
  • Choose 'Center' from the 'HTML' menu.
  • Click the Center button on the HTML toolbar.

Syntax:

<CENTER>Hello World</CENTER>

Example:

Hello World


 Form Item
Creates a Form tag. There are two different methods:
Get: Information is passed via the environment variable QUERY_STRING
Post: Information is passed via the program's STDIN.
To insert a Form Item, you can:
  • Choose 'Form Item' from the 'HTML' -> 'Forms' menu.
  • Click the Form Item button on the HTML toolbar.

Syntax:

<FORM NAME="Name" METHOD="Post">

</FORM>


 Text Box
A Text box allows a visitor to enter a single line of text into a form and then presumably submit it to you.

Name: The name of the text box.
Value(Optional): The text that will be returned to you.
Will also appear in the Text Box.
Width(Optional): Specifies the size of form element in characters.
Maxlength(Optional): Specifies the maximum amount of
characters a visitor can enter into the text box.

Syntax:

<INPUT TYPE ="text" NAME
="MyTextBox" VALUE ="I am a
textbox   " SIZE ="30" MAXLENGTH ="30">

Example:

To insert a Text Box, you can:
  • Choose 'Text Box' from the 'HTML' -> 'Forms' menu.
  • Click the Text Box button on the HTML toolbar.


 Text Area
Text Areas are used when you want extended feed-back from a visitor. Otherwise they are just like Text boxes.

Name: The name of the text box.
Rows: The number of rows of text the text area spans.
Columns: The number of characters the text area spans.
Default text (Optional): Displays text in the text box area.
Word Wrap(Optional): Wraps the lines inside the Text Area

Syntax:

<TEXTAREA NAME =”Name” ROWS =”4” COLS =”40”>I am a Text Area</TEXTAREA>

Example:

To insert a Text Area, you can:

  • Choose 'Text Area' from the 'HTML' -> 'Forms' menu.
  • Click the Text Area button on the HTML toolbar.


 Check Box
Check Boxes are best used when the user is presented with a yes/no choice. Each check box has it's own name as specified by the NAME property. You should make this name meaningful so you can decipher the user's response.

Name: The name of the check box.
Value(Optional): The default value is ‘on’ if the box is checked.
You can change this value by entering your own.
Checked(Optional): Makes the check box checked by default.

Syntax:

<INPUT TYPE =”checkbox” NAME =”Name" CHECKED>

Example:

To insert a Check Box, you can:

  • Choose 'Check Box' from the 'HTML' -> 'Forms' menu.
  • Click the Check Box button on the HTML toolbar.


 Radio Button
Radio buttons are the little circles that click in forms . They are best utilized when you want to make the user make one selection only from a multitude of choices.

Name: As the visitor can only select one choice from a group of
radio buttons, all radio buttons in the same group have the
must same Name. (See example below).
Value: The text that will be returned to you when a user selects a
choice. Clearly this text should be different for every radio button.
Checked(Optional): Checks one of the radio buttons by default.

Syntax:

<INPUT TYPE ="radio" NAME ="Radio1" VALUE ="Yes">
<INPUT TYPE ="radio" NAME ="Radio2" VALUE ="Perhaps">
<INPUT TYPE ="radio" NAME ="Radio3" VALUE ="Depends">
<INPUT TYPE ="radio" NAME ="Radio4" VALUE ="No">
<INPUT TYPE ="radio" NAME ="Radio5" VALUE ="Who?">

Example:
Are Coldmind the coolest Software Developers?

Yes
Perhaps
Depends
No
Who?

To insert a Radio Button , you can:
  • Choose 'Radio Button' from the 'HTML' -> 'Forms' menu.
  • Click the Radio Button button on the HTML toolbar.


 Select
The Select List is used to create lists with multiple items. Each item in a list is called an option and each option has it's own specific properties.

Name: The name of the Select list.
Item: Defines the options for the list.
Multiple(Optional): Defines a scrollable list.

Syntax:
<SELECT NAME =”Favourite Car ”>
<OPTION> Volvo
<OPTION> Ferrari
<OPTION> BMW
<OPTION> Mercedes
<OPTION> Jaguar
</SELECT>

Example:
What is your favourite car?

To insert a Select list, you can:

  • Choose 'Select...' from the 'HTML' -> 'Forms' menu.
  • Click the Select button on the HTML toolbar.


Submit/Reset Button
The Submit Button allows the visitor to send their form choices (as defined in the FORM METHOD properties section).

The Reset button clears the form and returns all values to default.

Name(Optional): (Only the Submit Button). When the user submits the form, no message usually accompanies the data. However, using the name option, the name of the submit button can also be included in the submitted data.
Value(Optional): The text that will be returned to you.Also the text on the button

Syntax:
<INPUT TYPE =”submit” NAME =”Submit” VALUE =”Submit”>
<INPUT TYPE ="reset" VALUE ="Reset">

Example:

To insert a Submit or Reset Button, do one of the following:

  • Choose 'Submit/Reset Button' from the 'HTML' -> 'Forms' menu.
  • Click the Submit/Reset Button button on the HTML toolbar..


 Paragraph
The Paragraph tag is normally used to separate text blocks. To use the Paragraph tag, do one of the following:
  • Choose 'Paragraph' from the 'HTML' menu.
  • Click the Paragraph button on the HTML toolbar.
  • Press <Alt> + <Enter>

Syntax:

Hello World<P>Hello World

Example:
Hello World

Hello World


 Row Break
The Row Break tag specifies that a new line must be started at the given point. To use the Paragraph tag, do one of the following:
  • Choose 'Row Break' from the 'HTML' menu.
  • Click the Row Break button on the HTML toolbar.
  • Press <Shift> + <Enter>

Syntax:

Hello World<BR>Hello World

Example:
Hello World
Hello World


 No Break Space
All the text between the start and end of the <NOBR> elements cannot have line breaks inserted. To use the No Break Space tag, do one of the following:
  • Choose 'No Break Space' from the 'HTML' menu.
  • Click the No Break Space button on the HTML toolbar.
  • Press <Shift> + <Ctrl> + <Space>

Syntax:

<NOBR> </NOBR>


 Hyperlink
A hyperlink indicates a relationship between another document or an anchor within the document.

URL field: Type the name of the anchor or the other document.
Link: Type the name for the hyperlink.
Frame Target (Optional): Type a frame name if you don't want to
load the linked object in the same frame.
Mouse Over field(Optional): This text appears in the browsers
status field on the approach of the mouse.

Syntax:
<A HREF=" http://www.coldmind.com " TARGET="main">Coldmind</A>

Example: Coldmind


 Insert Standard Tags
Inserts the Standard HTML tags to the document.
To Insert Standard Tags, choose 'Insert Standard Tags' from the 'HTML' menu.

Syntax:

<HTML>
<HEAD>
<TITLE>Document_Title_Goes_Here</TITLE>
</HEAD>
<BODY>

</BODY>
</HTML>


 Script Language
Switches between the different script languages. The choice of script affects the syntax highlighting, Comment Blocks etc... To switch language, choose 'Language' -> from the 'Script' menu.

Available languages:
JavaScript
VB Script
HTML


 Script Block
The Script container element allows you to include inline scripts for extended interaction. Available parameters for the SCRIPT LANGUAGE tag:
JavaScript
JavaScript1.1
JavaScript1.2
JScript
LiveScript
VBScript

Syntax:
<SCRIPT LANGUAGE ="JavaScript">
<!--
-->
</SCRIPT>

To insert a Script Block, do one of the following:

  • Choose 'Script Block' from the 'Script' menu.
  • Click the Script Block button on the Script toolbar.
  • Press <F4>.


 No Script Block
The No Script Block container element displays a text for the non-Java/VB script enabled browsers To insert a No Script Block, do one of the following:
  • Choose 'No Script Block' from the 'Script' menu.
  • Press <F5>.

Syntax:

<NOSCRIPT>
<!--//
Add text here for non-Java/VB script enabled browsers
//-->
</NOSCRIPT>


Function Block
Functions are the basic building blocks of JavaScript, VB Script (and most programming languages.) You can create your own functions in JavaScript. Typically, you place these user-defined functions in the HEAD portion of your HTML document so that they load immediately

Name: Names the function, it is by this reference you call the function whitin the HTML document.
Description(Optional): Describes the function, this description is for your personal reference only.
Include Desciption(Optional).

Syntax:
/* -----------------------------------------------
This is the Description
----------------------------------------------- */
function MyFunction ()
{

}

Example:
In the example below, you will call a Message Box function which we will execute by clicking on a Submit button.

In the HEAD portion of the document, before the </HEAD> tag, you place the JavaScript code as shown below:

<SCRIPT LANGUAGE="JavaScript">
<!--// Hide from non compatible browsers

function MessageBox()
{
 alert("Hi there!")
}

//-->
 </SCRIPT>

Type the code for the button in the <BODY> tag of the document as shown below:

<FORM>
<INPUT TYPE="submit" NAME="button1" onClick="MessageBox()">
</FORM>

This click event will call the MessageBox function.

  • To insert a Function Block, do one of the following:
  • Choose 'Function Block' from the 'Script' menu.
  • Click the Function Block button on the Script toolbar.


Comment Blocks

 Comment Block
The text inside the comment block is for your personal reference only, and will not be read or displayed by browsers. Some search engines use commented text as a source for their search terms (HTML only). To insert a Comment Block, do one of the following:
  • Choose 'Comment Block' from the 'Script' menu.
  • Click the Comment button on the Script toolbar.
  • Press <F7>.

Syntax:

HTML:
<!-- My Comment -->

JavaScript:
/* Text Block */

VB Script:
' My comment


 Custom Object
Allows you to insert a Custom Object of your choice. To insert a Custom Object, do one of the following:
  • Choose 'Custom Object' from the 'Script' menu.
  • Click the Custom Object button on the Script toolbar.
  • Press <F8>.

Syntax:

// Name object
constructor
function MyFunction ()
{
}


Insert Servlet
Inserts a Servlet. The Servlet is a Java Application which executes on the Server.

Name: The name of the servlet.
Code: The name of the file that contains the servlet.
Codebase(Optional):The Base URL of file that contains the servlet.

Syntax:

<SERVLET NAME ="Name" CODE ="Code" CODEBASE= "www.coldmind.com">

</SERVLET>

To insert a Servlet, do one of the following:

  • Choose 'Insert Servlet' from the 'Script' menu.
  • Click the Insert Servlet button on the Script toolbar.
  • Press <F9>.


 Document Write
To insert a Document Write tag, do one of the following:
  • Choose 'Document Write' from the 'Script' -> 'JavaScript' menu.
  • Click the Document Write button on the Script toolbar.

Syntax:
document.write()


 Message Dialog
There are three different kinds of Messages Dialogs: Alert, Confirm and Prompt. The Alert dialog appears as a statement. The Confirm as a question and the Prompt dialog allows the user to submit a text string.

Message(Optional): The Statement or Question.
Value(Optional): The default value to the Prompt Dialog.

Syntax:
alert("I hate dogs!")

Example

Syntax
 confirm("Do you like dogs?")

Example

Syntax
 prompt("What do you think about dogs?", " I hate them ")

Example

To insert a Message Dialog, do one of the following:

  • Choose 'Message Dialog' from the 'Script' -> 'JavaScript' menu.
  • Click the Message Dialog button on the Script toolbar.


Custom Object

"If" Statement
To insert an if statement, choose '"If" Statement...' from the 'Script' -> 'JavaScript' menu.

Syntax:

if( ){
}


"Else" Statement
To insert an else statement, choose "'else" Statement...' from the 'Script' -> 'JavaScript' menu.

Syntax:

if ( ) {
}
else {
}


"For" Loop
To insert a for loop, choose '"For" Loop' from the 'Script' -> 'JavaScript' menu.

Syntax:

for( ; ; ) {
}


"While" Loop
To insert a while loop, choose "'While" Loop' from the 'Script' -> 'JavaScript' menu.

Syntax:

while( condition ) {
}


"With"
To insert a with element, choose "With" from the 'Script' -> 'JavaScript' menu.

Syntax:

with( Object ){
}


 Switch
To insert a swich element, choose "Swich" from the 'Script' -> 'JavaScript' menu.

Syntax:
switch ( expression ) {
    case label :
      statement;
      break;
    case label :
      statement;
      break;
    default :
      statement;
}


ASP Variable

 ASP Server Variable
To insert an ASP Server Variable, do one of the followng:
  • Choose 'ASP Server Variable' from the 'Script' -> 'ASP (Active Server Pages)' menu.
  • Click the 'ASP Server Variable' button on the ASP toolbar.


 ASP Include
To insert an ASP Include element, do one of the followng:
  • Choose 'ASP Include' from the 'Script' -> 'ASP (Active Server Pages)' menu.
  • Click the 'ASP Include' button on the ASP toolbar.


 ASP Tag
To insert an ASP Tag, do one of the followng:
  • Choose 'ASP Tag' from the 'Script' -> 'ASP (Active Server Pages)' menu.
  • Click the ASP Tag button on the ASP toolbar.


 ASP Output
To insert an ASP Output element, do one of the followng:
  • Choose 'ASP Output' from the 'Script' -> 'ASP (Active Server Pages)' menu.
  • Click the ASP Output button on the ASP toolbar.


ASP If Statement

 "if" statement
To insert an "if" statement, do one of the followng:
  • Choose '"if" statement' from the 'Script' -> 'ASP (Active Server Pages)' menu.
  • Click the "if" button on the ASP toolbar.


ASP Else Statement

 "else" statement
To insert an "else" statement, do one of the followng:
  • Choose '"else" statement' from the 'Script' -> 'ASP (Active Server Pages)' menu.
  • Click the "else" button on the ASP toolbar.


ASP End Statement

 "end" statement
To insert an "end" statement, do one of the followng:
  • Choose 'end statement' from the 'Script' -> 'ASP (Active Server Pages)' menu.
  • Click the "end" button on the ASP toolbar.


 Tile
Makes all windows tile the workspace.
To use the Tile command, choose 'Tile' from the 'Window' menu.


 Cascade
Cascades all open windows in the workspace.
To use the Cascade command, choose 'Cascade' from the 'Window' menu.


 Arrange Icons
Arranges all minimized windows in a straight line at the bottom of the workspace. To use the Arrange Icons command, choose 'Arrange Icons' from the 'Window' menu.


 Next
Switches to the next open window.
To use the Next command, do one of the following:
  • Choose 'Next' from the 'Window' menu.
  • Press <Ctrl> + <Right>.


 Previous
Switches to the previous open window.
To use the Previous command, do one of the following:
  • Choose 'Previous' from the 'Window' menu.
  • Press <Ctrl> + <Left>.


 Minimize All
Minimizes and arranges all windows in the bottom of the workspace. To use the Minimize All command, do one of the following:
  • Choose 'Minimize All' from the 'Window' menu.
  • Press <Shift> + <M>.


 Support
If you experience trouble using this software, please contact our support department.You can reach us by mail or fax, and we will soon be in touch.

E-mail: support@coldmind.com
Fax: +46 920 12720


 Year 2000 Compliance
Coldmind Software certifies that this program is Year 2000 compliant and will operate correctly after Jan. 1, Year 2000.

If you have further questions about the Year 2000 Compliance,
please post your inquires to: millenium@coldmind.com


Keyboard Map

 File Menu Shortcuts
New... | Ctrl+N
Open | Ctrl+O
Save | Ctrl+S
Close | Ctrl+W
Print | Ctrl+P
Exit | Ctrl+E
Edit Menu Shortcuts
Undo | Ctrl+Z
Redo | Shift+Ctrl+Z
Cut | Ctrl+X
Copy | Ctrl+C
Paste | Ctrl+V
Delete | Shift+Del
Select All | Ctrl+A
Find | Ctrl+F
Find Next | F3
Replace | Ctrl+R
View
Toggle Edit/Preview F9
Script Menu Shortcuts
Script Block | F4
No Script Block | F5
Function Block | F6
Comment Block | F7
Custom Object | F8
Insert Servlet | F9
HTML Menu Shortcuts
Bold | Ctrl+B
Italic | Ctrl+I
Underline | Ctrl+U
Paragraph | Alt+Enter
Row Break | Shift+Enter
No Break Space | Shift+Ctrl+Space
Hyperlink | Ctrl+H
Window Menu Shortcuts
Next... | Ctrl+Right
Previous... | Ctrl+Left
Minimize All | Shift+Ctrl+M


 Save
Saves the changes to the active file.
To Save a file, do one of the following:
  • Select 'Save' from the 'File' menu.
  • Click on the Save button on the Main Toolbar.
  • Press <Ctrl> + <S>.
If you are saving a new file, HydraScript opens the Save As dialog box.

Save As

  1. Choose 'Save As...' from the 'File' menu .
  2. Choose a name for the file and type it on the file name field.
  3. Click on the Save Button.

Save Selection
Saves the selected text to a user specified file.


 Print
The Print command prints the active file. To modify the printer and paper settings, click 'Printer Setup'
To use the Print command, do one of the following:
  • Choose 'Print' from the 'File' menu.
  • Click the Print button on the Main toolbar.
  • Press <Ctrl> + <P>.

Printer Setup
The Printer Setup determines the paper source and the file's placement on the page.
To use the Printer Setup, choose 'Printer Setup' from the 'File' menu.


 Cut
The Cut command removes the selection from the file and sends it to the Windows Clipboard. The Cut command is only available when the active file contains a selection. To use the Cut command, do one of the following:
  • Choose 'Cut' from the 'Edit' menu.
  • Click the Cut button on the Main toolbar.
  • Press <Ctrl> + <X>.

Copy
The Copy command sends the selection to the Windows Clipboard.
The Cut command is only available when the active file contains a selection. To use the Copy command, do one of the following:

  • Choose 'Copy' from the 'Edit' menu.
  • Click the Copy button on the Main toolbar.
  • Press <Ctrl> + <C>.

Paste
The Paste command places a copy of the Windows Clipboard contents into the active file. To use the Paste command, do one of the following:

  • Choose 'Paste' from the 'Edit' menu.
  • Click the Paste button on the Main toolbar.
  • Press <Ctrl> + <V>.


 Set Bookmark
Marks the current line as a bookmark (0-9). To use the Set Bookmark command, choose 'Set Bookmark' from the 'Edit' menu.

Find Bookmark
Takes you back to the line you marked as the chosen bookmark.
To use the Set Bookmark command, choose 'Find Bookmark' from the 'Edit' menu.